# TXVoiceChangerType class Null safety

Voice changing type definition (young girl, middle-aged man, heavy metal, punk...)

## Constructors

TXVoiceChangerType()

## Properties

hashCode → int
  The hash code for this object.
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Static Properties

TXLiveVoiceChangerType_0 ↔ int
  Disable voice changing
  read / write
TXLiveVoiceChangerType_1 ↔ int
  Naughty boy
  read / write
TXLiveVoiceChangerType_10 ↔ int
  Robot
  read / write
TXLiveVoiceChangerType_11 ↔ int
  Ethereal
  read / write
TXLiveVoiceChangerType_2 ↔ int
  Young girl
  read / write
TXLiveVoiceChangerType_3 ↔ int
  Middle-aged man
  read / write
TXLiveVoiceChangerType_4 ↔ int
  Heavy metal
  read / write
TXLiveVoiceChangerType_5 ↔ int
  Cold
  read / write
TXLiveVoiceChangerType_6 ↔ int
  Punk
  read / write
TXLiveVoiceChangerType_7 ↔ int
  Furious animal
  read / write
TXLiveVoiceChangerType_8 ↔ int
  Chubby
  read / write
TXLiveVoiceChangerType_9 ↔ int
  Strong electric current
  read / write